backend:
  name: git-gateway
  branch: main

# backend:
#   name: test-repo

site_url: https://makeventures.netlify.app

# publish_mode: editorial_workflow

media_folder: 'src/assets/'

collections:
  - name: 'blog'
    label: 'Blog'
    folder: 'src/content/blog'
    create: true
    slug: '{{slug}}'
    summary: '{{pubDate | date("YYYY-MM-DD")}} — {{title}}'
    sortable_fields: ['pubDate', 'title']
    media_folder: '../../assets'
    public_folder: '../../assets'
    fields:
      - { label: 'Title', name: 'title', widget: 'string' }
      - { label: 'Description', name: 'description', widget: 'text' }
      - { label: 'Publish Date', name: 'pubDate', widget: 'datetime' }
      - {
          label: 'Hero Image',
          name: 'heroImage',
          widget: 'image',
          required: false,
          hint: 'Landscape JPG, at least 1920×1080. Compress with Squoosh (https://squoosh.app) before uploading.',
        }
      - {
          label: 'Tags',
          name: 'tags',
          widget: 'list',
          required: false,
          field: { label: 'Tag', name: 'tag', widget: 'string' },
          hint: 'Add tags one at a time',
        }
      - {
          label: 'Author',
          name: 'author',
          widget: 'string',
          required: false,
          default: 'Igor Samuk',
        }
      - { label: 'Body', name: 'body', widget: 'markdown' }

  - name: 'projects'
    label: 'Projects'
    folder: 'src/content/projects'
    create: true
    slug: '{{slug}}'
    summary: '{{status}} — {{title}}'
    sortable_fields: ['title', 'status']
    media_folder: '../../assets'
    public_folder: '../../assets'
    fields:
      - { label: 'Title', name: 'title', widget: 'string' }
      - { label: 'Description', name: 'description', widget: 'text' }
      - {
          label: 'Status',
          name: 'status',
          widget: 'select',
          options: ['completed', 'in-progress', 'paused'],
          default: 'in-progress',
          required: false,
        }
      - {
          label: 'Completed Date',
          name: 'completedDate',
          widget: 'datetime',
          required: false,
        }
      - {
          label: 'Hero Image',
          name: 'heroImage',
          widget: 'image',
          required: false,
          hint: 'Landscape JPG, at least 1920×1080. Compress with Squoosh (https://squoosh.app) before uploading.',
        }
      - { label: 'Body', name: 'body', widget: 'markdown' }
